# Print compile/link options of the m17n library

## SYNOPSIS

m17n-config [API-LEVEL ...] [--cflags | --libs | --libtool] [--version]

## DESCRIPTION

The shell script m17n-config prints compile and link options for a program that uses the m17n library.

By default, the printed options are for such a program that uses SHELL API of the libray. But, if the first argument is "CORE", "GUI", or "FLT", the options are for a program that uses the corresponding API.

The other arguments are as follows.

- --cflags
  Print compile option (e.g. -I/usr/local/include)
- --libs
  Print link option (e.g. -L/usr/local/lib -lm17n)
- --libtool
  Print libtool option (e.g. /usr/local/lib/libm17n.la)
- --version
  Print version number of the m17n library.